import request from '@/utils/request';

/**
 * 查询投诉建议suggestions列表
 */
export function getComplaintsSuggestionsList(params?: any) {
  return request({
    url: '/customer/pcComplaintsSuggestions/list',
    method: 'get',
    params: params
  });
}

/**
 * 新增投诉建议
 */
export function addComplaintsSuggestions(data: any) {
  return request({
    url: '/customer/pcComplaintsSuggestions',
    method: 'post',
    data: data
  });
}

/**
 * 修改投诉建议
 */
export function updateComplaintsSuggestions(data: any) {
  return request({
    url: '/customer/pcComplaintsSuggestions',
    method: 'put',
    data: data
  });
}

/**
 * 删除投诉建议
 */
export function deleteComplaintsSuggestions(ids: number[]) {
  return request({
    url: `/customer/pcComplaintsSuggestions/${ids.join(',')}`,
    method: 'delete'
  });
}
